Skip to main content
Welcome to the preview portal — This is an early release of the new Doc Hub experience, with more content coming soon.

Void a Credit


This section describes how to void a credit that was submitted but not yet processed by the processor.

Supported Processors

  • Chase Paymentech Solutions
  • Elavon Americas
  • FDC Nashville Global
  • Fiserv RapidConnect
  • Streamline
  • Worldpay VAP

Endpoints

The {id} is the transaction ID of the credit to void.

POST /pts/v2/credits/{id}/voids

POST /pts/v2/credits/{id}/voids

POST /pts/v2/credits/{id}/voids

Example

Standard Example

{    "clientReferenceInformation": {        "code": "test123"    }}
{    "_links": {        "self": {            "method": "GET",            "href": "/pts/v2/voids/6541933390746728203005"        }    },    "clientReferenceInformation": {        "code": "1654193339056"    },    "id": "6541933390746728203005",    "orderInformation": {        "amountDetails": {            "currency": "USD"        }    },    "status": "VOIDED",    "submitTimeUtc": "2026-06-02T18:08:59Z",    "voidAmountDetails": {        "currency": "usd",        "voidAmount": "100.00"    }}

Fiserv RapidConnect Example

{    "clientReferenceInformation": {        "code": "123456789012",        "reconciliationId": "000000050000771"    },    "orderInformation": {        "amountDetails": {            "totalAmount": "110",            "currency": "USD"        }    }}
{    "submitTimeUtc": "2026-03-11T16:39:30Z",    "processorInformation": {        "approvalCode": "OK1272",        "responseCode": "000"    },    "consumerAuthenticationResponse": {        "systemTraceAuditNumber": "500036"    },    "orderInformation": {        "amountDetails": {            "authorizedAmount": "110.00"        }    },    "message": "Successful transaction.",    "clientReferenceInformation": {        "code": "123456789012"    },    "reconciliationId": "000000050000771",    "id": "7417111702443232235535",    "_links": {        "self": {            "method": "GET",            "href": "/pts/v2/voids/7417111702443232235535"        }    },    "status": "VOIDED"}

Required Fields

These fields are required for all supported processors unless a processor-specific section indicates otherwise.

Default Required Fields

FieldDescription
clientReferenceInformation.codeOrder reference or tracking number. Provide a unique value for each transaction so that you can perform meaningful searches for the transaction. For most processors, this field is recommended, but not required.

Fiserv RapidConnect Required Fields

FieldDescription
clientReferenceInformation.codeOrder reference or tracking number. Provide a unique value for each transaction so that you can perform meaningful searches for the transaction. Required for Fiserv RapidConnect.
clientReferenceInformation.reconciliationId—

Last published: October 28, 2026

Not available for your audience

This page isn't available for your current audience selection.